Subject: plant ? herb?

From: [email-masked] (Stuart Michael Kreindler)
Date: 29 Mar 1995 14:58:10 GMT

a friend of mine is doing a project on sheep sorrel (Rumex acetosella) and  
was unable to find much information in our small college library.  She  
asked me to post a note on the internet for her with the hope that someone  
out there might have some helpful information.  If you have any  
information or can give her some help where to look please contact me  
directly at 

[email-masked].

thanks in advance